var mongoose = require("mongoose");

var cartSchema = new mongoose.Schema({
    User: { type: mongoose.Schema.Types.ObjectId, ref: 'User' },
    Product_qty: [
        { product: { type: mongoose.Schema.Types.ObjectId, ref: 'Product' } , qty: Number}
    ]
});


module.exports = mongoose.model("Cart", cartSchema);
